Subject: bug#20484: 25.0.50; Directory tracking in ansi-term broken.

From: Jacob Oursland <[email-masked]>
Date: Sun, 03 May 2015 19:09:41 +0000

I see.  I misunderstood the master branch to be development, but it's the
release branch.

Can we compromise a little and revert this patch just until the commit has
made into a Bash release?  I, like other Emacs users, can afford the risks
to run a development Emacs, but I cannot risk a development Bash.

Thanks,
Jake

On Sun, May 3, 2015 at 10:57 AM Glenn Morris <[email-masked]> wrote:

> Stefan Monnier wrote:
>
> > The old $EMACS setting was declared obsolete many years ago.  It looks
> > like "the Bash folks" didn't notice yet.
> >
> > Hopefully beaab89896 will make them notice,
>
> Paul mailed them:
> http://lists.gnu.org/archive/html/bug-bash/2015-03/msg00179.html
>
> It was applied to the "devel" branch soon after:
>
> http://git.savannah.gnu.org/cgit/bash.git/diff/shell.c?h=devel&id=0385211bb5cb01e0259c64ec2c5cc6337d4e215c
>
> So, the point has been made, but it will take a long time for this to
> get into the default bash on all the systems Emacs supports.
>